# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: llvmdev
  version: 11.1.0
source:
  patches:
    - patches/MSVC_DIA_SDK_path_fix.diff
    - patches/benchmark_register_include_fix.diff
    - patches/expect-fastmath-entrypoints-in-add-TLI-mappings.ll.patch
    - patches/intel-D47188-svml-VF.patch
    - patches/numba-0001-Revert-Limit-size-of-non-GlobalValue-name.patch
    - patches/pass-through-qemu-ld-prefix.diff
  sha256: ce8508e318a01a63d4e8b3090ab2ded3c598a50258cc49e2625b9120d4c03ea5
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-11.1.0/llvm-11.1.0.src.tar.xz
build:
  activate_in_script: true
  ignore_run_exports:
    - zlib
  number: 5
  string: h425c57c_5
requirements:
  build:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.07.19 haa95532_0
    - ccache 3.7.9 h1c70317_0
    - cmake 3.22.1 h9ad04ae_0
    - libffi 3.4.2 hd77b12b_4
    - libuv 1.40.0 he774522_0
    - lz4-c 1.9.3 h2bbff1b_1
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-grep 2.22 4
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-libpcre 8.38 2
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gmp 6.1.0 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - msys2-conda-epoch 20160418 1
    - ninja 1.10.2 haa95532_5
    - ninja-base 1.10.2 h6d14046_5
    - openssl 1.1.1q h2bbff1b_0
    - python 3.10.4 hbb2ffb3_0
    - sqlite 3.39.2 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022a hda174b7_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - vs2017_win-64 19.16.27032.1 hb4161e2_3
    - vswhere 2.8.4 haa95532_0
    - xz 5.2.5 h8cc25b3_1
    - zlib 1.2.12 h8cc25b3_2
    - zstd 1.5.2 h19a0ad4_0
  host:
    - libllvm11 11.1.0 h425c57c_5
    - llvm-tools 11.1.0 h425c57c_5
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - zlib 1.2.12 h8cc25b3_2
  run:
    - libllvm11 11.1.0 h425c57c_5
    - llvm-tools 11.1.0 h425c57c_5
    - vc >=14.1,<15.0a0
    - vs2015_runtime >=14.16.27012,<15.0a0
    - zlib
test:
  commands:
    - if not exist %LIBRARY_INC%\\llvm\\Pass.h exit 1
    - if not exist "%LIBRARY_PREFIX%"\\libexec\llvm\not.exe exit 1
about:
  dev_url: https://github.com/llvm/llvm-project/
  doc_url: https://llvm.org/docs/
  home: https://llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: LICENSE.TXT
  summary: Development headers and libraries for LLVM
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 1743d082-ebd6-428c-850a-7e566df3e22f
  recipe-maintainers:
    - SylvainCorlay
    - inducer
    - isuruf
    - jakirkham
    - mingwandroid
    - timsnyder
  remote_url: git@github.com:AnacondaRecipes/llvmdev-feedstock.git
  sha: d1a5c49e98af7ef5d5ff7fa67d4a09d1795b2122
